
import os
from distutils.core import setup, Extension
from distutils.sysconfig import get_python_inc
import numpy

numdir = os.path.dirname(numpy.__file__)+"/core/include/numpy"

setup(name="module-liftpack",version="1.0",
        description="Python Interface to LIFTPACK",
        author="Daniel D. Kelson",
        author_email="kelson@ociw.edu",
        url="http://www.ociw.edu/~kelson",
        extra_path="module-liftpack",
        ext_modules=[Extension("flwt",
                ["flwt_wrap.c"],
                include_dirs=[numdir,"./liftpack/include"],
                library_dirs=["./liftpack/lib"],
                libraries=["flwtutil","m","c"],
                        )])

